import argparse
import pandas as pd

parser = argparse.ArgumentParser(description = 'match classifications with extracted chunks')
parser.add_argument('classifications', help = 'classifications file')
parser.add_argument('output', help = 'output')
parser.add_argument('--chunks', help = 'list of chunks', nargs = '+', required = True)
args = parser.parse_args()

classifications = pd.read_csv(args.classifications)

chunks = pd.concat([
    pd.read_csv(f) for f in args.chunks
])

classifications = classifications.merge(
    chunks,
    left_on = 'subject_id',
    right_on = 'zooniverse_id'
)

classifications.to_csv(args.output, index = False)